diff --git a/tests/data/toulouse_maelis/FamilyService.wsdl b/tests/data/toulouse_maelis/FamilyService.wsdl
index e67d6e4b..ef25e2ce 100644
--- a/tests/data/toulouse_maelis/FamilyService.wsdl
+++ b/tests/data/toulouse_maelis/FamilyService.wsdl
@@ -618,734 +429,902 @@
       <xs:element minOccurs="0" name="idFam" type="xs:string"/>
       <xs:element minOccurs="0" name="idPers" type="xs:string"/>
       <xs:element minOccurs="0" name="requestedDocumentStateKernel" type="xs:anyType"/>
       <xs:element minOccurs="0" name="schoolKernel" type="xs:anyType"/>
       <xs:element minOccurs="0" name="stateDate" type="xs:dateTime"/>
       <xs:element minOccurs="0" name="subscribeSchoolKernel" type="xs:anyType"/>
     </xs:sequence>
   </xs:complexType>
-  <xs:complexType name="readVaccinList">
-    <xs:sequence/>
-  </xs:complexType>
-  <xs:complexType name="readVaccinListResponse">
-    <xs:sequence>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="itemList" type="ns1:itemBean"/>
-    </xs:sequence>
-  </xs:complexType>
-  <xs:complexType name="readPAIList">
+  <xs:complexType name="readPAIList">
     <xs:sequence/>
   </xs:complexType>
   <xs:complexType name="readPAIListResponse">
     <xs:sequence>
       <xs:element maxOccurs="unbounded" minOccurs="0" name="itemList" type="ns1:itemBean"/>
     </xs:sequence>
   </xs:complexType>
-  <xs:complexType name="updatePersonIndicatorList">
-    <xs:sequence>
-      <xs:element name="numPerson" type="xs:int"/>
-      <xs:element maxOccurs="unbounded" name="indicatorList" type="ns2:indicatorValueAddUpdBean"/>
-    </xs:sequence>
-  </xs:complexType>
-  <xs:complexType name="updatePersonIndicatorListResponse">
-    <xs:sequence/>
-  </xs:complexType>
   <xs:complexType name="readTownList">
     <xs:sequence/>
   </xs:complexType>
   <xs:complexType name="readTownListResponse">
     <xs:sequence>
       <xs:element maxOccurs="unbounded" minOccurs="0" name="itemList" type="ns1:itemBean"/>
     </xs:sequence>
   </xs:complexType>
-  <xs:complexType name="readCategoryList">
+  <xs:complexType name="readOrganList">
     <xs:sequence/>
   </xs:complexType>
-  <xs:complexType name="readCategoryListResponse">
+  <xs:complexType name="readOrganListResponse">
     <xs:sequence>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="itemList" type="ns1:itemBean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="organList" type="ns1:organBean"/>
     </xs:sequence>
   </xs:complexType>
-  <xs:complexType name="readFamilyByPassword">
+  <xs:complexType name="readFamilyList">
     <xs:sequence>
-      <xs:element name="dossierNumber" type="xs:int"/>
-      <xs:element name="password" type="xs:string"/>
-      <xs:element minOccurs="0" name="schoolYear" type="xs:string"/>
-      <xs:element minOccurs="0" name="incomeYear" type="xs:string"/>
-      <xs:element minOccurs="0" name="referenceYear" type="xs:string"/>
+      <xs:element minOccurs="0" name="dossierNumber" type="xs:int"/>
+      <xs:element minOccurs="0" name="prenom" type="xs:string"/>
+      <xs:element minOccurs="0" name="nom" type="xs:string"/>
     </xs:sequence>
   </xs:complexType>
-  <xs:complexType name="readFamilyByPasswordResponse">
+  <xs:complexType name="readFamilyListResponse">
     <xs:sequence>
-      <xs:element minOccurs="0" name="familyBean" type="tns:familyBean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="familyBeanList" type="tns:familyBean"/>
     </xs:sequence>
   </xs:complexType>
-  <xs:complexType name="readStreetList">
-    <xs:sequence/>
-  </xs:complexType>
-  <xs:complexType name="readStreetListResponse">
+  <xs:complexType name="deletesubscribe">
     <xs:sequence>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="streetList" type="ns1:StreetBean"/>
+      <xs:element name="numPerson" type="xs:int"/>
+      <xs:element name="idActivite" type="xs:string"/>
+      <xs:element name="dateRefDelete" type="xs:dateTime"/>
     </xs:sequence>
   </xs:complexType>
-  <xs:complexType name="readOrganList">
+  <xs:complexType name="deletesubscribeResponse">
     <xs:sequence/>
   </xs:complexType>
-  <xs:complexType name="readOrganListResponse">
+  <xs:complexType name="readRLIndicatorList">
+    <xs:sequence/>
+  </xs:complexType>
+  <xs:complexType name="readRLIndicatorListResponse">
     <xs:sequence>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="organList" type="ns1:organBean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="rlIndicatorList" type="ns2:indicatorReadBean"/>
     </xs:sequence>
   </xs:complexType>
-  <xs:simpleType name="indicatorTypeDescEnum">
-    <xs:restriction base="xs:string">
-      <xs:enumeration value="NONE"/>
-      <xs:enumeration value="NOTE"/>
-      <xs:enumeration value="CHOICE"/>
-    </xs:restriction>
-  </xs:simpleType>
-  <xs:simpleType name="blocNoteTypeEnum">
-    <xs:restriction base="xs:string">
-      <xs:enumeration value="A"/>
-      <xs:enumeration value="L"/>
-      <xs:enumeration value="IA"/>
-      <xs:enumeration value="RP"/>
-      <xs:enumeration value="ID"/>
-    </xs:restriction>
-  </xs:simpleType>
-  <xs:simpleType name="levelCode">
-    <xs:restriction base="xs:string">
-      <xs:enumeration value="SCHOOL"/>
-      <xs:enumeration value="ACTIVITY"/>
-      <xs:enumeration value="PERSON"/>
-      <xs:enumeration value="FAMILY"/>
-      <xs:enumeration value="CHILD"/>
-      <xs:enumeration value="RESERVATION"/>
-      <xs:enumeration value="ALL"/>
-    </xs:restriction>
-  </xs:simpleType>
-  <xs:simpleType name="rankCode">
-    <xs:restriction base="xs:string">
-      <xs:enumeration value="FAMILY"/>
-      <xs:enumeration value="PERSON"/>
-    </xs:restriction>
-  </xs:simpleType>
-  <xs:simpleType name="subscribeAction">
-    <xs:restriction base="xs:string">
-      <xs:enumeration value="ADD_SUBSCRIBE"/>
-      <xs:enumeration value="DELETE_SUBSCRIBE"/>
-      <xs:enumeration value="UPDATE_SUBSCRIBE_DOSS"/>
-      <xs:enumeration value="ADD_DEROG"/>
-      <xs:enumeration value="COMPLETE_DEROG_DOSS"/>
-    </xs:restriction>
-  </xs:simpleType>
-  <xs:element name="MaelisFamilyException" type="tns:MaelisFamilyException"/>
-  <xs:complexType name="MaelisFamilyException">
+  <xs:complexType name="presubscribeSchoolSibling">
     <xs:sequence>
-      <xs:element minOccurs="0" name="message" type="xs:string"/>
-      <xs:element minOccurs="0" name="message" type="xs:string"/>
+      <xs:element name="numPerson" type="xs:int"/>
+      <xs:element name="schoolYear" type="xs:int"/>
+      <xs:element name="datePresubscribe" type="xs:dateTime"/>
+      <xs:element name="idSchoolRequested" type="xs:string"/>
+      <xs:element name="levelCode" type="xs:string"/>
+      <xs:element name="numPersonSibling" type="xs:int"/>
     </xs:sequence>
   </xs:complexType>
-</xs:schema>
-<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" targetNamespace="bean.persistence.ws.maelis.sigec.com" version="1.0">
-
-  <xs:complexType name="itemBean">
+  <xs:complexType name="presubscribeSchoolSiblingResponse">
     <xs:sequence>
-      <xs:element minOccurs="0" name="code" type="xs:string"/>
-      <xs:element minOccurs="0" name="libelle" type="xs:string"/>
+      <xs:element minOccurs="0" name="subscribeSchool3Bean" type="ns2:subscribeSchool3Bean"/>
     </xs:sequence>
   </xs:complexType>
-
-  <xs:complexType name="insuranceBean">
+  <xs:complexType name="readDietCodeList">
+    <xs:sequence/>
+  </xs:complexType>
+  <xs:complexType name="readDietCodeListResponse">
     <xs:sequence>
-      <xs:element minOccurs="0" name="company" type="xs:string"/>
-      <xs:element minOccurs="0" name="contractNumber" type="xs:string"/>
-      <xs:element minOccurs="0" name="memberNumber" type="xs:string"/>
-      <xs:element minOccurs="0" name="contractStart" type="xs:dateTime"/>
-      <xs:element minOccurs="0" name="contractEnd" type="xs:dateTime"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="itemList" type="ns1:itemBean"/>
     </xs:sequence>
   </xs:complexType>
-
-  <xs:complexType name="StreetBean">
+  <xs:complexType name="createOrUpdateChildDiet">
     <xs:sequence>
-      <xs:element minOccurs="0" name="idStreet" type="xs:string"/>
-      <xs:element minOccurs="0" name="libelleStreet" type="xs:string"/>
+      <xs:element name="personNumber" type="xs:int"/>
+      <xs:element name="code" type="xs:string"/>
     </xs:sequence>
   </xs:complexType>
-
-  <xs:complexType name="organBean">
+  <xs:complexType name="createOrUpdateChildDietResponse">
+    <xs:sequence/>
+  </xs:complexType>
+  <xs:complexType name="readCountyList">
+    <xs:sequence/>
+  </xs:complexType>
+  <xs:complexType name="readCountyListResponse">
     <xs:sequence>
-      <xs:element minOccurs="0" name="code" type="xs:string"/>
-      <xs:element minOccurs="0" name="id" type="xs:string"/>
-      <xs:element minOccurs="0" name="libelle" type="xs:string"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="itemList" type="ns1:itemBean"/>
     </xs:sequence>
   </xs:complexType>
-
-</xs:schema>
-<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:ns1="bean.persistence.family.ws.maelis.sigec.com" targetNamespace="bean.persistence.site.ws.maelis.sigec.com" version="1.0">
-
-  <xs:import namespace="bean.persistence.family.ws.maelis.sigec.com"/>
-
-  <xs:complexType name="subscribeSchoolYearBean">
+  <xs:complexType name="updateChildAutorization">
     <xs:sequence>
-      <xs:element minOccurs="0" name="subscribeSchool" type="ns1:subscribeSchool2Bean"/>
+      <xs:element name="updateChildAutorizationRequest" type="ns2:updateChildAutorizationRequestBean"/>
     </xs:sequence>
   </xs:complexType>
-
-</xs:schema>
-<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:tns="bean.persistence.family.ws.maelis.sigec.com" xmlns:ns3="bean.persistence.site.ws.maelis.sigec.com" xmlns:ns2="bean.persistence.ws.maelis.sigec.com" xmlns:ns1="family.ws.maelis.sigec.com" targetNamespace="bean.persistence.family.ws.maelis.sigec.com" version="1.0">
-
-  <xs:import namespace="family.ws.maelis.sigec.com"/>
-
-  <xs:import namespace="bean.persistence.ws.maelis.sigec.com"/>
-
-  <xs:import namespace="bean.persistence.site.ws.maelis.sigec.com"/>
-
-  <xs:complexType name="indicatorReadBean">
-    <xs:complexContent>
-      <xs:extension base="ns1:abstractSpecResultBean">
-        <xs:sequence>
-          <xs:element minOccurs="0" name="code" type="xs:string"/>
-          <xs:element minOccurs="0" name="label" type="xs:string"/>
-          <xs:element minOccurs="0" name="typeDesc" type="ns1:indicatorTypeDescEnum"/>
-          <xs:element maxOccurs="unbounded" minOccurs="0" name="choiceList" nillable="true" type="ns2:itemBean"/>
-        </xs:sequence>
-      </xs:extension>
-    </xs:complexContent>
+  <xs:complexType name="updateChildAutorizationResponse">
+    <xs:sequence/>
   </xs:complexType>
-
-  <xs:complexType name="addressBean">
+  <xs:complexType name="subscribeSchool">
     <xs:sequence>
-      <xs:element minOccurs="0" name="idStreet" nillable="true" type="xs:string"/>
-      <xs:element minOccurs="0" name="num" type="xs:int"/>
-      <xs:element minOccurs="0" name="numComp" type="xs:string"/>
-      <xs:element name="street1" type="xs:string"/>
-      <xs:element minOccurs="0" name="street2" type="xs:string"/>
-      <xs:element name="town" type="xs:string"/>
-      <xs:element name="zipcode" type="xs:string"/>
+      <xs:element name="subcribeSchoolRequestBean" type="ns2:subscribeSchoolRequestBean"/>
     </xs:sequence>
   </xs:complexType>
-
-  <xs:complexType name="contactBean">
+  <xs:complexType name="subscribeSchoolResponse">
     <xs:sequence>
-      <xs:element minOccurs="0" name="phone" type="xs:string"/>
-      <xs:element minOccurs="0" name="mobile" type="xs:string"/>
-      <xs:element minOccurs="0" name="mail" type="xs:string"/>
-      <xs:element minOccurs="0" name="isContactMail" type="xs:boolean"/>
-      <xs:element minOccurs="0" name="isContactSms" type="xs:boolean"/>
-      <xs:element minOccurs="0" name="isInvoicePdf" type="xs:boolean"/>
+      <xs:element minOccurs="0" name="subscribeSchoolResultBean" type="tns:subscribeSchoolResultBean"/>
     </xs:sequence>
   </xs:complexType>
-
-  <xs:complexType name="professionBean">
+  <xs:complexType name="subscribeSchoolResultBean">
     <xs:sequence>
-      <xs:element minOccurs="0" name="codeCSP" type="xs:string"/>
-      <xs:element minOccurs="0" name="profession" type="xs:string"/>
-      <xs:element minOccurs="0" name="employerName" type="xs:string"/>
+      <xs:element minOccurs="0" name="schoolYear" type="xs:int"/>
+      <xs:element minOccurs="0" name="schoolName" type="xs:string"/>
+      <xs:element minOccurs="0" name="level" type="xs:string"/>
       <xs:element minOccurs="0" name="phone" type="xs:string"/>
-      <xs:element minOccurs="0" name="addressPro" type="tns:addressProfBean"/>
+      <xs:element minOccurs="0" name="adress" type="xs:string"/>
+      <xs:element minOccurs="0" name="headmaster" type="xs:string"/>
     </xs:sequence>
   </xs:complexType>
-
-  <xs:complexType name="addressProfBean">
+  <xs:complexType name="createOrUpdateFSL">
     <xs:sequence>
-      <xs:element minOccurs="0" name="num" type="xs:int"/>
-      <xs:element minOccurs="0" name="street" type="xs:string"/>
-      <xs:element minOccurs="0" name="zipcode" type="xs:string"/>
-      <xs:element minOccurs="0" name="town" type="xs:string"/>
+      <xs:element name="personNumber" type="xs:int"/>
+      <xs:element name="fslBean" type="tns:fslBean"/>
     </xs:sequence>
   </xs:complexType>
-
-  <xs:complexType name="cafInfoBean">
+  <xs:complexType name="fslBean">
     <xs:sequence>
-      <xs:element minOccurs="0" name="number" type="xs:string"/>
-      <xs:element minOccurs="0" name="organ" type="xs:string"/>
+      <xs:element name="dateDeb" type="xs:dateTime"/>
+      <xs:element name="dateFin" type="xs:dateTime"/>
+      <xs:element minOccurs="0" name="allergieAlimentaire" type="xs:string"/>
+      <xs:element minOccurs="0" name="allergieRespiratoire" type="xs:string"/>
+      <xs:element minOccurs="0" name="allergieAutre" type="xs:string"/>
+      <xs:element minOccurs="0" name="allergieMedicament" type="xs:string"/>
+      <xs:element minOccurs="0" name="asthme" type="xs:string"/>
+      <xs:element minOccurs="0" name="flPAI" type="xs:string"/>
+      <xs:element minOccurs="0" name="flImage" type="xs:string"/>
+      <xs:element minOccurs="0" name="dtcPrap1" type="xs:dateTime"/>
+      <xs:element minOccurs="0" name="obsMed1" type="xs:string"/>
+      <xs:element minOccurs="0" name="obsMed2" type="xs:string"/>
+      <xs:element minOccurs="0" name="obsMed3" type="xs:string"/>
+      <xs:element minOccurs="0" name="obsDir1" type="xs:string"/>
+      <xs:element minOccurs="0" name="obsDir2" type="xs:string"/>
+      <xs:element minOccurs="0" name="obsDir3" type="xs:string"/>
+      <xs:element minOccurs="0" name="obsAssist1" type="xs:string"/>
+      <xs:element minOccurs="0" name="obsAssist2" type="xs:string"/>
+      <xs:element minOccurs="0" name="obsAssist3" type="xs:string"/>
+      <xs:element minOccurs="0" name="cons1Med" type="xs:string"/>
+      <xs:element minOccurs="0" name="cons2Med" type="xs:string"/>
     </xs:sequence>
   </xs:complexType>
-
-  <xs:complexType name="indicatorBean">
-    <xs:complexContent>
-      <xs:extension base="ns1:abstractSpecBean">
-        <xs:sequence>
-          <xs:element minOccurs="0" name="code" type="xs:string"/>
-          <xs:element minOccurs="0" name="label" type="xs:string"/>
-          <xs:element minOccurs="0" name="note" type="xs:string"/>
-          <xs:element minOccurs="0" name="choice" type="xs:string"/>
-        </xs:sequence>
-      </xs:extension>
-    </xs:complexContent>
+  <xs:complexType name="createOrUpdateFSLResponse">
+    <xs:sequence/>
   </xs:complexType>
-
-  <xs:complexType name="activityTypeBean">
+  <xs:complexType name="updateFamily">
     <xs:sequence>
-      <xs:element minOccurs="0" name="code" type="xs:string"/>
-      <xs:element minOccurs="0" name="libelle" type="xs:string"/>
-      <xs:element minOccurs="0" name="natureSpec" type="tns:activityNatureBean"/>
-    </xs:sequence>
-  </xs:complexType>
-
-  <xs:complexType name="activityNatureBean">
-    <xs:complexContent>
-      <xs:extension base="ns1:abstractSpecBean">
-        <xs:sequence>
-          <xs:element minOccurs="0" name="code" type="xs:string"/>
-          <xs:element minOccurs="0" name="libelle" type="xs:string"/>
-        </xs:sequence>
-      </xs:extension>
-    </xs:complexContent>
+      <xs:element name="dossierNumber" type="xs:int"/>
+      <xs:element name="category" type="xs:string"/>
+      <xs:element name="situation" type="xs:string"/>
+      <xs:element minOccurs="0" name="flagCom" type="xs:boolean"/>
+      <xs:element minOccurs="0" name="nbChild" type="xs:int"/>
+      <xs:element minOccurs="0" name="nbTotalChild" type="xs:int"/>
+      <xs:element minOccurs="0" name="nbAES" type="xs:int"/>
+      <xs:element minOccurs="0" name="rl1" type="tns:rlBean"/>
+      <xs:element minOccurs="0" name="rl2" type="tns:rlBean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="childList" type="ns2:childBean"/>
+      <xs:element minOccurs="0" name="isForceCreateChild" type="xs:boolean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="indicatorList" type="ns2:indicatorValueAddUpdBean"/>
+      <xs:element minOccurs="0" name="emergencyPersonList" type="ns2:emergencyPersonListBean"/>
+    </xs:sequence>
   </xs:complexType>
-
-  <xs:complexType name="familyQuotientBean">
+  <xs:complexType name="updateFamilyResponse">
     <xs:sequence>
-      <xs:element minOccurs="0" name="year" type="xs:int"/>
-      <xs:element minOccurs="0" name="yearRev" type="xs:int"/>
-      <xs:element minOccurs="0" name="dateStart" type="xs:dateTime"/>
-      <xs:element minOccurs="0" name="dateEnd" type="xs:dateTime"/>
-      <xs:element minOccurs="0" name="mtt" type="xs:double"/>
-      <xs:element minOccurs="0" name="cdquo" type="xs:string"/>
+      <xs:element minOccurs="0" name="familyResult" type="tns:familyBean"/>
     </xs:sequence>
   </xs:complexType>
-
-  <xs:complexType name="childInfoBean">
+  <xs:complexType name="createUpdateQuotient">
     <xs:sequence>
-      <xs:element minOccurs="0" name="num" type="xs:string"/>
-      <xs:element name="lastname" type="xs:string"/>
-      <xs:element name="firstname" type="xs:string"/>
-      <xs:element name="sexe" type="xs:string"/>
-      <xs:element name="birth" type="ns1:birthInfoChildBean"/>
-      <xs:element minOccurs="0" name="dietcode" type="xs:string"/>
-      <xs:element minOccurs="0" name="bPhoto" type="xs:boolean"/>
-      <xs:element minOccurs="0" name="bLeaveAlone" type="xs:boolean"/>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="authorizedPersonList" nillable="true" type="tns:relatedPersonBean"/>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="indicatorList" nillable="true" type="tns:indicatorBean"/>
-      <xs:element minOccurs="0" name="medicalRecord" type="tns:medicalRecordBean"/>
-      <xs:element minOccurs="0" name="insurance" type="ns2:insuranceBean"/>
-      <xs:element minOccurs="0" name="paiInfoBean" type="ns1:paiInfoBean"/>
-      <xs:element minOccurs="0" name="mother" type="tns:personBean"/>
-      <xs:element minOccurs="0" name="father" type="tns:personBean"/>
-      <xs:element minOccurs="0" name="rl" type="tns:personBean"/>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="subscribeSchoolList" nillable="true" type="tns:subscribeSchoolBean"/>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="subscribeActivityList" nillable="true" type="ns1:subscribeActivityBean"/>
+      <xs:element name="dossierNumber" type="xs:int"/>
+      <xs:element name="personNumber" type="xs:int"/>
+      <xs:element name="quotient" type="tns:familyQuotientRedvBean"/>
     </xs:sequence>
   </xs:complexType>
-
-  <xs:complexType name="relatedPersonBean">
-    <xs:complexContent>
-      <xs:extension base="ns1:abstractSpecBean">
-        <xs:sequence>
-          <xs:element minOccurs="0" name="personInfo" type="tns:personInfoBean"/>
-          <xs:element minOccurs="0" name="personQuality" type="tns:personQualityBean"/>
-        </xs:sequence>
-      </xs:extension>
-    </xs:complexContent>
+  <xs:complexType name="createUpdateQuotientResponse">
+    <xs:sequence/>
   </xs:complexType>
-
-  <xs:complexType name="personInfoBean">
+  <xs:complexType name="readDocumentList">
+    <xs:sequence/>
+  </xs:complexType>
+  <xs:complexType name="readDocumentListResponse">
     <xs:sequence>
-      <xs:element minOccurs="0" name="num" type="xs:int"/>
-      <xs:element minOccurs="0" name="lastname" type="xs:string"/>
-      <xs:element minOccurs="0" name="firstname" type="xs:string"/>
-      <xs:element minOccurs="0" name="dateBirth" type="xs:dateTime"/>
-      <xs:element minOccurs="0" name="civility" type="xs:string"/>
-      <xs:element minOccurs="0" name="sexe" type="xs:string"/>
-      <xs:element minOccurs="0" name="contact" type="tns:contactLightBean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="documentList" type="ns2:documentBean"/>
     </xs:sequence>
   </xs:complexType>
-
-  <xs:complexType name="contactLightBean">
-    <xs:complexContent>
-      <xs:extension base="ns1:abstractSpecBean">
-        <xs:sequence>
-          <xs:element minOccurs="0" name="phone" type="xs:string"/>
-          <xs:element minOccurs="0" name="mobile" type="xs:string"/>
-          <xs:element minOccurs="0" name="mail" type="xs:string"/>
-        </xs:sequence>
-      </xs:extension>
-    </xs:complexContent>
-  </xs:complexType>
-
-  <xs:complexType name="personQualityBean">
+  <xs:complexType name="presubscribeSchoolDerog">
     <xs:sequence>
-      <xs:element name="code" type="xs:string"/>
-      <xs:element minOccurs="0" name="libelle" type="xs:string"/>
+      <xs:element name="numPerson" type="xs:int"/>
+      <xs:element name="schoolYear" type="xs:int"/>
+      <xs:element name="datePresubscribe" type="xs:dateTime"/>
+      <xs:element name="idRequestSchool1" type="xs:string"/>
+      <xs:element minOccurs="0" name="idRequestSchool2" type="xs:string"/>
+      <xs:element minOccurs="0" name="idRequestSchool3" type="xs:string"/>
+      <xs:element name="levelCode" type="xs:string"/>
+      <xs:element name="derogReasonCode" type="xs:string"/>
+      <xs:element name="derogComment" type="xs:string"/>
     </xs:sequence>
   </xs:complexType>
-
-  <xs:complexType name="medicalRecordBean">
-    <xs:complexContent>
-      <xs:extension base="ns1:abstractSpecBean">
-        <xs:sequence>
-          <xs:element minOccurs="0" name="familyDoctor" type="tns:familyDoctorBean"/>
-          <xs:element minOccurs="0" name="allergy1" type="xs:string"/>
-          <xs:element minOccurs="0" name="allergy2" type="xs:string"/>
-          <xs:element minOccurs="0" name="comment1" type="xs:string"/>
-          <xs:element minOccurs="0" name="comment2" type="xs:string"/>
-          <xs:element minOccurs="0" name="observ1" type="xs:string"/>
-          <xs:element minOccurs="0" name="observ2" type="xs:string"/>
-          <xs:element minOccurs="0" name="isAuthHospital" type="xs:boolean"/>
-          <xs:element minOccurs="0" name="hospital" type="xs:string"/>
-          <xs:element maxOccurs="unbounded" minOccurs="0" name="vaccinList" nillable="true" type="tns:vaccinBean"/>
-        </xs:sequence>
-      </xs:extension>
-    </xs:complexContent>
-  </xs:complexType>
-
-  <xs:complexType name="familyDoctorBean">
-    <xs:complexContent>
-      <xs:extension base="ns1:abstractSpecBean">
-        <xs:sequence>
-          <xs:element minOccurs="0" name="name" type="xs:string"/>
-          <xs:element minOccurs="0" name="phone" type="xs:string"/>
-          <xs:element minOccurs="0" name="address" type="tns:doctorAddressBean"/>
-        </xs:sequence>
-      </xs:extension>
-    </xs:complexContent>
-  </xs:complexType>
-
-  <xs:complexType name="doctorAddressBean">
-    <xs:complexContent>
-      <xs:extension base="ns1:abstractSpecBean">
-        <xs:sequence>
-          <xs:element minOccurs="0" name="street1" type="xs:string"/>
-          <xs:element minOccurs="0" name="zipcode" type="xs:string"/>
-          <xs:element minOccurs="0" name="town" type="xs:string"/>
-        </xs:sequence>
-      </xs:extension>
-    </xs:complexContent>
-  </xs:complexType>
-
-  <xs:complexType name="vaccinBean">
-    <xs:complexContent>
-      <xs:extension base="ns1:abstractSpecBean">
-        <xs:sequence>
-          <xs:element name="code" type="xs:string"/>
-          <xs:element minOccurs="0" name="label" type="xs:string"/>
-          <xs:element name="vaccinationDate" type="xs:dateTime"/>
-        </xs:sequence>
-      </xs:extension>
-    </xs:complexContent>
+  <xs:complexType name="presubscribeSchoolDerogResponse">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="subscribeSchool3Bean" type="ns2:subscribeSchool3Bean"/>
+    </xs:sequence>
   </xs:complexType>
-
-  <xs:complexType name="personBean">
+  <xs:complexType name="getActivityRate">
     <xs:sequence>
-      <xs:element name="num" type="xs:int"/>
-      <xs:element minOccurs="0" name="civility" type="xs:string"/>
-      <xs:element minOccurs="0" name="firstname" type="xs:string"/>
-      <xs:element minOccurs="0" name="lastname" type="xs:string"/>
+      <xs:element name="request" type="ns2:getActivityRateRequestBean"/>
     </xs:sequence>
   </xs:complexType>
-
-  <xs:complexType name="subscribeSchoolBean">
+  <xs:complexType name="getActivityRateResponse">
     <xs:sequence>
-      <xs:element minOccurs="0" name="year" type="xs:int"/>
-      <xs:element minOccurs="0" name="schoolName" type="xs:string"/>
-      <xs:element minOccurs="0" name="levelBean" type="tns:levelBean"/>
-      <xs:element minOccurs="0" name="phone" type="xs:string"/>
-      <xs:element minOccurs="0" name="adress" type="xs:string"/>
-      <xs:element minOccurs="0" name="headmaster" type="xs:string"/>
-      <xs:element minOccurs="0" name="dateIns" type="xs:dateTime"/>
-      <xs:element minOccurs="0" name="dateRadiation" type="xs:dateTime"/>
-      <xs:element minOccurs="0" name="preSubscribeDate" type="xs:dateTime"/>
-      <xs:element minOccurs="0" name="isWaitList" type="xs:boolean"/>
-      <xs:element minOccurs="0" name="codeWait" type="xs:string"/>
-      <xs:element minOccurs="0" name="libWait" type="xs:string"/>
+      <xs:element minOccurs="0" name="resultBean" type="ns2:getActivityRateResultBean"/>
     </xs:sequence>
   </xs:complexType>
-
-  <xs:complexType name="levelBean">
+  <xs:complexType name="isRLExists">
     <xs:sequence>
-      <xs:element minOccurs="0" name="codlevel" type="xs:string"/>
-      <xs:element minOccurs="0" name="liblevel" type="xs:string"/>
+      <xs:element name="firstname" type="xs:string"/>
+      <xs:element name="lastname" type="xs:string"/>
+      <xs:element name="dateBirth" type="xs:dateTime"/>
     </xs:sequence>
   </xs:complexType>
-
-  <xs:complexType name="emergencyPersonBean">
+  <xs:complexType name="isRLExistsResponse">
     <xs:sequence>
-      <xs:element minOccurs="0" name="numPerson" type="xs:int"/>
-      <xs:element minOccurs="0" name="civility" type="xs:string"/>
-      <xs:element minOccurs="0" name="firstname" type="xs:string"/>
-      <xs:element minOccurs="0" name="lastname" type="xs:string"/>
-      <xs:element minOccurs="0" name="dateBirth" type="xs:dateTime"/>
-      <xs:element minOccurs="0" name="sexe" type="xs:string"/>
-      <xs:element minOccurs="0" name="quality" type="xs:string"/>
-      <xs:element minOccurs="0" name="contact" type="tns:contactEmergencyBean"/>
+      <xs:element name="result" type="xs:boolean"/>
     </xs:sequence>
   </xs:complexType>
-
-  <xs:complexType name="contactEmergencyBean">
+  <xs:complexType name="updateChildPAI">
     <xs:sequence>
-      <xs:element minOccurs="0" name="phone" type="xs:string"/>
-      <xs:element minOccurs="0" name="mobile" type="xs:string"/>
-      <xs:element minOccurs="0" name="mail" type="xs:string"/>
+      <xs:element name="personNumber" type="xs:int"/>
+      <xs:element name="code" type="xs:string"/>
+      <xs:element minOccurs="0" name="dateDeb" type="xs:dateTime"/>
+      <xs:element minOccurs="0" name="dateFin" type="xs:dateTime"/>
+      <xs:element minOccurs="0" name="description" type="xs:string"/>
     </xs:sequence>
   </xs:complexType>
-
-  <xs:complexType name="indicatorValueBean">
-    <xs:complexContent>
-      <xs:extension base="ns1:abstractSpecResultBean">
-        <xs:sequence>
-          <xs:element minOccurs="0" name="code" type="xs:string"/>
-          <xs:element minOccurs="0" name="label" type="xs:string"/>
-          <xs:element minOccurs="0" name="choice" type="tns:indicatorChoiceBean"/>
-        </xs:sequence>
-      </xs:extension>
-    </xs:complexContent>
+  <xs:complexType name="updateChildPAIResponse">
+    <xs:sequence/>
   </xs:complexType>
-
-  <xs:complexType name="indicatorChoiceBean">
-    <xs:complexContent>
-      <xs:extension base="ns1:abstractSpecBean">
-        <xs:sequence>
-          <xs:element minOccurs="0" name="code" type="xs:string"/>
-          <xs:element minOccurs="0" name="label" type="xs:string"/>
-        </xs:sequence>
-      </xs:extension>
-    </xs:complexContent>
+  <xs:complexType name="readQualityList">
+    <xs:sequence/>
   </xs:complexType>
-
-  <xs:complexType name="updateChildAutorizationRequestBean">
+  <xs:complexType name="readQualityListResponse">
     <xs:sequence>
-      <xs:element name="numFamily" type="xs:string"/>
-      <xs:element name="numPerson" type="xs:int"/>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="personList" nillable="true" type="tns:relatedPerson2Bean"/>
-      <xs:element name="bLeaveAlone" type="xs:boolean"/>
-      <xs:element name="bPhoto" type="xs:boolean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="itemList" type="ns1:itemBean"/>
     </xs:sequence>
   </xs:complexType>
-
-  <xs:complexType name="relatedPerson2Bean">
+  <xs:complexType name="createChild">
     <xs:sequence>
-      <xs:element name="personInfo" type="tns:person3Bean"/>
-      <xs:element name="personQuality" type="tns:personQualityBean"/>
+      <xs:element name="numDossier" type="xs:int"/>
+      <xs:element name="child" type="ns2:childBean"/>
+      <xs:element minOccurs="0" name="isForceCreateChild" type="xs:boolean"/>
     </xs:sequence>
   </xs:complexType>
-
-  <xs:complexType name="person3Bean">
+  <xs:complexType name="createChildResponse">
     <xs:sequence>
-      <xs:element minOccurs="0" name="num" type="xs:int"/>
-      <xs:element minOccurs="0" name="civility" type="xs:string"/>
-      <xs:element name="lastname" type="xs:string"/>
-      <xs:element name="firstname" type="xs:string"/>
-      <xs:element name="dateBirth" type="xs:dateTime"/>
-      <xs:element minOccurs="0" name="sexe" type="xs:string"/>
-      <xs:element minOccurs="0" name="contact" type="tns:contactLightBean"/>
+      <xs:element minOccurs="0" name="resultBean" type="ns2:resultChildBean"/>
     </xs:sequence>
   </xs:complexType>
-
-  <xs:complexType name="subscribeSchoolRequestBean">
+  <xs:complexType name="subscribeActivity">
     <xs:sequence>
-      <xs:element name="personNumber" type="xs:int"/>
-      <xs:element minOccurs="0" name="schoolYear" type="xs:int"/>
-      <xs:element minOccurs="0" name="dateSubscribe" type="xs:dateTime"/>
+      <xs:element name="subscribeActivityRequestBean" type="ns2:subscribeActivityRequestBean"/>
     </xs:sequence>
   </xs:complexType>
-
-  <xs:complexType name="emergencyPersonListBean">
-    <xs:complexContent>
-      <xs:extension base="ns1:abstractSpecRequestBean">
-        <xs:sequence>
-          <xs:element maxOccurs="unbounded" minOccurs="0" name="personList" nillable="true" type="tns:familyPersonBean"/>
-        </xs:sequence>
-      </xs:extension>
-    </xs:complexContent>
-  </xs:complexType>
-
-  <xs:complexType name="familyPersonBean">
-    <xs:complexContent>
-      <xs:extension base="ns1:abstractSpecBean">
-        <xs:sequence>
-          <xs:element minOccurs="0" name="numPerson" type="xs:int"/>
-          <xs:element minOccurs="0" name="civility" type="xs:string"/>
-          <xs:element name="firstname" type="xs:string"/>
-          <xs:element name="lastname" type="xs:string"/>
-          <xs:element name="dateBirth" type="xs:dateTime"/>
-          <xs:element minOccurs="0" name="sexe" type="xs:string"/>
-          <xs:element name="quality" type="xs:string"/>
-          <xs:element minOccurs="0" name="contact" type="tns:contactLightBean"/>
-        </xs:sequence>
-      </xs:extension>
-    </xs:complexContent>
-  </xs:complexType>
-
-  <xs:complexType name="indicatorValueAddUpdBean">
-    <xs:complexContent>
-      <xs:extension base="ns1:abstractSpecRequestBean">
-        <xs:sequence>
-          <xs:element name="code" type="xs:string"/>
-          <xs:element minOccurs="0" name="note" type="xs:string"/>
-          <xs:element minOccurs="0" name="choice" type="xs:string"/>
-          <xs:element name="isActive" type="xs:boolean"/>
-        </xs:sequence>
-      </xs:extension>
-    </xs:complexContent>
-  </xs:complexType>
-
-  <xs:complexType name="childBean">
+  <xs:complexType name="subscribeActivityResponse">
     <xs:sequence>
-      <xs:element minOccurs="0" name="num" type="xs:string"/>
-      <xs:element name="firstname" type="xs:string"/>
-      <xs:element name="lastname" type="xs:string"/>
-      <xs:element name="sexe" type="xs:string"/>
-      <xs:element name="birth" type="ns1:birthInfoChildBean"/>
-      <xs:element minOccurs="0" name="bPhoto" type="xs:boolean"/>
-      <xs:element minOccurs="0" name="bLeaveAlone" type="xs:boolean"/>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="authorizedPersonList" nillable="true" type="tns:relatedPersonBean"/>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="indicatorList" nillable="true" type="tns:indicatorValueAddUpdBean"/>
-      <xs:element minOccurs="0" name="dietcode" type="xs:string"/>
-      <xs:element minOccurs="0" name="medicalRecord" type="tns:medicalRecordBean"/>
-      <xs:element minOccurs="0" name="insurance" type="ns2:insuranceBean"/>
-      <xs:element minOccurs="0" name="paiInfoBean" type="ns1:paiInfoBean"/>
+      <xs:element minOccurs="0" name="subscribeActivityResultBean" type="ns2:subscribeActivityResultBean"/>
     </xs:sequence>
   </xs:complexType>
-
-  <xs:complexType name="getActivityRateRequestBean">
+  <xs:complexType name="readSchoolForChildAndLevel">
     <xs:sequence>
-      <xs:element minOccurs="0" name="idSubscribe" type="xs:string"/>
-      <xs:element minOccurs="0" name="idFam" type="xs:string"/>
       <xs:element name="numPerson" type="xs:int"/>
-      <xs:element minOccurs="0" name="idUnit" type="xs:string"/>
-      <xs:element minOccurs="0" name="typeConsum" type="xs:string"/>
-      <xs:element minOccurs="0" name="flagCom" type="xs:boolean"/>
-      <xs:element minOccurs="0" name="idUtilisat" type="xs:string"/>
-      <xs:element minOccurs="0" name="referenceYear" type="xs:int"/>
-      <xs:element minOccurs="0" name="incomeYear" type="xs:int"/>
-      <xs:element minOccurs="0" name="calculationDate" type="xs:dateTime"/>
+      <xs:element name="schoolYear" type="xs:int"/>
+      <xs:element minOccurs="0" name="levelCode" type="xs:string"/>
     </xs:sequence>
   </xs:complexType>
-
-  <xs:complexType name="getActivityRateResultBean">
+  <xs:complexType name="readSchoolForChildAndLevelResponse">
     <xs:sequence>
-      <xs:element minOccurs="0" name="rate" type="xs:double"/>
-      <xs:element minOccurs="0" name="calculationDate" type="xs:dateTime"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="schoolBeanList" type="ns2:schoolBean"/>
     </xs:sequence>
   </xs:complexType>
-
-  <xs:complexType name="updateChildMedicalRecordRequestBean">
-    <xs:complexContent>
-      <xs:extension base="ns1:abstractSpecRequestBean">
-        <xs:sequence>
-          <xs:element name="numPerson" type="xs:int"/>
-          <xs:element name="medicalRecord" type="tns:medicalRecordBean"/>
-        </xs:sequence>
-      </xs:extension>
-    </xs:complexContent>
+  <xs:complexType name="readVaccinList">
+    <xs:sequence/>
   </xs:complexType>
-
-  <xs:complexType name="resultChildBean">
+  <xs:complexType name="readVaccinListResponse">
     <xs:sequence>
-      <xs:element name="number" type="xs:int"/>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="childErrorList" nillable="true" type="xs:string"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="itemList" type="ns1:itemBean"/>
     </xs:sequence>
   </xs:complexType>
-
-  <xs:complexType name="addSuppliedDocumentRequestBean">
+  <xs:complexType name="updatePersonIndicatorList">
     <xs:sequence>
-      <xs:element name="numDossier" type="xs:int"/>
-      <xs:element minOccurs="0" name="numPerson" type="xs:int"/>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="documentList" nillable="true" type="tns:suppliedDocumentBean"/>
+      <xs:element name="numPerson" type="xs:int"/>
+      <xs:element maxOccurs="unbounded" name="indicatorList" type="ns2:indicatorValueAddUpdBean"/>
     </xs:sequence>
   </xs:complexType>
-
-  <xs:complexType name="suppliedDocumentBean">
+  <xs:complexType name="updatePersonIndicatorListResponse">
+    <xs:sequence/>
+  </xs:complexType>
+  <xs:complexType name="preSubscribeSchoolPerim">
     <xs:sequence>
-      <xs:element name="idDocument" type="xs:string"/>
-      <xs:element minOccurs="0" name="depositDate" type="xs:dateTime"/>
-      <xs:element name="filename" type="xs:string"/>
-      <xs:element name="fileSupplied" type="ns1:fileHandler"/>
+      <xs:element name="numPerson" type="xs:int"/>
+      <xs:element name="schoolYear" type="xs:int"/>
+      <xs:element name="dateSubscribe" type="xs:dateTime"/>
+      <xs:element name="levelCode" type="xs:string"/>
     </xs:sequence>
   </xs:complexType>
-
-  <xs:complexType name="subscribeActivityRequestBean">
+  <xs:complexType name="preSubscribeSchoolPerimResponse">
     <xs:sequence>
-      <xs:element name="personNumber" type="xs:int"/>
-      <xs:element minOccurs="0" name="schoolYear" type="xs:int"/>
-      <xs:element name="activityUnitPlace" type="tns:activityUnitPlaceBean"/>
-      <xs:element minOccurs="0" name="dateStart" type="xs:dateTime"/>
-      <xs:element minOccurs="0" name="dateEnd" type="xs:dateTime"/>
-      <xs:element minOccurs="0" name="dateSubscribe" type="xs:dateTime"/>
-      <xs:element minOccurs="0" name="datePreSubscribe" type="xs:dateTime"/>
-      <xs:element name="weeklyPlanning" type="xs:string"/>
-      <xs:element minOccurs="0" name="typeConsum" type="xs:string"/>
+      <xs:element minOccurs="0" name="resultSubscribeBean" type="ns2:resultSubscribeBean"/>
     </xs:sequence>
   </xs:complexType>
-
-  <xs:complexType name="activityUnitPlaceBean">
+  <xs:complexType name="readCategoryList">
+    <xs:sequence/>
+  </xs:complexType>
+  <xs:complexType name="readCategoryListResponse">
     <xs:sequence>
-      <xs:element name="idActivity" type="xs:string"/>
-      <xs:element name="idUnit" type="xs:string"/>
-      <xs:element name="idPlace" type="xs:string"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="itemList" type="ns1:itemBean"/>
     </xs:sequence>
   </xs:complexType>
-
-  <xs:complexType name="subscribeActivityResultBean">
+  <xs:complexType name="readFamilyByPassword">
     <xs:sequence>
-      <xs:element minOccurs="0" name="numPerson" type="xs:int"/>
-      <xs:element minOccurs="0" name="activity" type="xs:string"/>
-      <xs:element minOccurs="0" name="dateStart" type="xs:dateTime"/>
-      <xs:element minOccurs="0" name="dateEnd" type="xs:dateTime"/>
-      <xs:element minOccurs="0" name="datePreSubscribe" type="xs:dateTime"/>
-      <xs:element minOccurs="0" name="dateSubscribe" type="xs:dateTime"/>
-      <xs:element minOccurs="0" name="typeConsum" type="xs:string"/>
-      <xs:element minOccurs="0" name="place" type="xs:string"/>
-      <xs:element minOccurs="0" name="state" type="tns:stateBean"/>
+      <xs:element name="dossierNumber" type="xs:int"/>
+      <xs:element name="password" type="xs:string"/>
+      <xs:element minOccurs="0" name="schoolYear" type="xs:string"/>
+      <xs:element minOccurs="0" name="incomeYear" type="xs:string"/>
+      <xs:element minOccurs="0" name="referenceYear" type="xs:string"/>
     </xs:sequence>
   </xs:complexType>
-
-  <xs:complexType name="stateBean">
-    <xs:complexContent>
-      <xs:extension base="ns1:abstractSpecBean">
-        <xs:sequence>
-          <xs:element minOccurs="0" name="idState" type="xs:string"/>
-          <xs:element minOccurs="0" name="libelle" type="xs:string"/>
-        </xs:sequence>
-      </xs:extension>
-    </xs:complexContent>
-  </xs:complexType>
-
-  <xs:complexType name="resultFamilyBean">
+  <xs:complexType name="readFamilyByPasswordResponse">
     <xs:sequence>
-      <xs:element name="number" type="xs:int"/>
-      <xs:element minOccurs="0" name="password" type="xs:string"/>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="rl1ErrorList" nillable="true" type="xs:string"/>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="childErrorList" nillable="true" type="xs:string"/>
+      <xs:element minOccurs="0" name="familyBean" type="tns:familyBean"/>
     </xs:sequence>
   </xs:complexType>
-
-  <xs:complexType name="getFamilySubscribeSchoolInfoRequestBean">
+  <xs:complexType name="readStreetList">
+    <xs:sequence/>
+  </xs:complexType>
+  <xs:complexType name="readStreetListResponse">
     <xs:sequence>
-      <xs:element name="numFam" type="xs:string"/>
-      <xs:element name="numPers" type="xs:string"/>
-      <xs:element name="schoolYear" type="xs:int"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="streetList" type="ns1:StreetBean"/>
     </xs:sequence>
   </xs:complexType>
-
-  <xs:complexType name="getFamilySubscribeSchoolInfoResultBean">
+  <xs:simpleType name="blocNoteTypeEnum">
+    <xs:restriction base="xs:string">
+      <xs:enumeration value="A"/>
+      <xs:enumeration value="L"/>
+      <xs:enumeration value="IA"/>
+      <xs:enumeration value="RP"/>
+      <xs:enumeration value="ID"/>
+    </xs:restriction>
+  </xs:simpleType>
+  <xs:simpleType name="indicatorTypeDescEnum">
+    <xs:restriction base="xs:string">
+      <xs:enumeration value="NONE"/>
+      <xs:enumeration value="NOTE"/>
+      <xs:enumeration value="CHOICE"/>
+    </xs:restriction>
+  </xs:simpleType>
+  <xs:simpleType name="levelCode">
+    <xs:restriction base="xs:string">
+      <xs:enumeration value="SCHOOL"/>
+      <xs:enumeration value="ACTIVITY"/>
+      <xs:enumeration value="PERSON"/>
+      <xs:enumeration value="FAMILY"/>
+      <xs:enumeration value="CHILD"/>
+      <xs:enumeration value="RESERVATION"/>
+      <xs:enumeration value="ALL"/>
+    </xs:restriction>
+  </xs:simpleType>
+  <xs:simpleType name="rankCode">
+    <xs:restriction base="xs:string">
+      <xs:enumeration value="FAMILY"/>
+      <xs:enumeration value="PERSON"/>
+    </xs:restriction>
+  </xs:simpleType>
+  <xs:simpleType name="subscribeAction">
+    <xs:restriction base="xs:string">
+      <xs:enumeration value="ADD_SUBSCRIBE"/>
+      <xs:enumeration value="DELETE_SUBSCRIBE"/>
+      <xs:enumeration value="UPDATE_SUBSCRIBE_DOSS"/>
+      <xs:enumeration value="ADD_DEROG"/>
+      <xs:enumeration value="COMPLETE_DEROG_DOSS"/>
+    </xs:restriction>
+  </xs:simpleType>
+  <xs:element name="MaelisFamilyException" type="tns:MaelisFamilyException"/>
+  <xs:complexType name="MaelisFamilyException">
     <xs:sequence>
-      <xs:element minOccurs="0" name="rl1Info" type="tns:person2Bean"/>
-      <xs:element minOccurs="0" name="childSubscribeSchoolInformation" type="tns:getChildSubscribeSchoolInformationResultBean"/>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="personSubscribeSchoolList" nillable="true" type="tns:personSubscribeSchoolBean"/>
+      <xs:element minOccurs="0" name="message" type="xs:string"/>
+      <xs:element minOccurs="0" name="message" type="xs:string"/>
     </xs:sequence>
   </xs:complexType>
+</xs:schema>
+<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" targetNamespace="bean.persistence.ws.maelis.sigec.com" version="1.0">
 
-  <xs:complexType name="person2Bean">
+  <xs:complexType name="itemBean">
     <xs:sequence>
-      <xs:element minOccurs="0" name="num" type="xs:int"/>
-      <xs:element minOccurs="0" name="civility" type="xs:string"/>
-      <xs:element name="lastname" type="xs:string"/>
-      <xs:element name="firstname" type="xs:string"/>
-      <xs:element name="dateBirth" type="xs:dateTime"/>
-      <xs:element minOccurs="0" name="sexe" type="xs:string"/>
-      <xs:element minOccurs="0" name="mail" type="xs:string"/>
-      <xs:element minOccurs="0" name="address" type="tns:addressBean"/>
+      <xs:element minOccurs="0" name="code" type="xs:string"/>
+      <xs:element minOccurs="0" name="libelle" type="xs:string"/>
     </xs:sequence>
   </xs:complexType>
 
-  <xs:complexType name="getChildSubscribeSchoolInformationResultBean">
+  <xs:complexType name="insuranceBean">
     <xs:sequence>
-      <xs:element minOccurs="0" name="person" type="tns:person2Bean"/>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="subscribeSchoolYearList" nillable="true" type="ns3:subscribeSchoolYearBean"/>
+      <xs:element minOccurs="0" name="company" type="xs:string"/>
+      <xs:element minOccurs="0" name="contractNumber" type="xs:string"/>
+      <xs:element minOccurs="0" name="memberNumber" type="xs:string"/>
+      <xs:element minOccurs="0" name="contractStart" type="xs:dateTime"/>
+      <xs:element minOccurs="0" name="contractEnd" type="xs:dateTime"/>
+    </xs:sequence>
+  </xs:complexType>
+
+  <xs:complexType name="organBean">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="code" type="xs:string"/>
+      <xs:element minOccurs="0" name="id" type="xs:string"/>
+      <xs:element minOccurs="0" name="libelle" type="xs:string"/>
+    </xs:sequence>
+  </xs:complexType>
+
+  <xs:complexType name="StreetBean">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="idStreet" type="xs:string"/>
+      <xs:element minOccurs="0" name="libelleStreet" type="xs:string"/>
+    </xs:sequence>
+  </xs:complexType>
+
+</xs:schema>
+<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:ns1="bean.persistence.family.ws.maelis.sigec.com" targetNamespace="bean.persistence.site.ws.maelis.sigec.com" version="1.0">
+
+  <xs:import namespace="bean.persistence.family.ws.maelis.sigec.com"/>
+
+  <xs:complexType name="subscribeSchoolYearBean">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="subscribeSchool" type="ns1:subscribeSchool2Bean"/>
+    </xs:sequence>
+  </xs:complexType>
+
+</xs:schema>
+<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:tns="bean.persistence.family.ws.maelis.sigec.com" xmlns:ns3="bean.persistence.site.ws.maelis.sigec.com" xmlns:ns2="bean.persistence.ws.maelis.sigec.com" xmlns:ns1="family.ws.maelis.sigec.com" targetNamespace="bean.persistence.family.ws.maelis.sigec.com" version="1.0">
+
+  <xs:import namespace="family.ws.maelis.sigec.com"/>
+
+  <xs:import namespace="bean.persistence.ws.maelis.sigec.com"/>
+
+  <xs:import namespace="bean.persistence.site.ws.maelis.sigec.com"/>
+
+  <xs:complexType name="addressBean">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="idStreet" nillable="true" type="xs:string"/>
+      <xs:element minOccurs="0" name="num" type="xs:int"/>
+      <xs:element minOccurs="0" name="numComp" type="xs:string"/>
+      <xs:element name="street1" type="xs:string"/>
+      <xs:element minOccurs="0" name="street2" type="xs:string"/>
+      <xs:element name="town" type="xs:string"/>
+      <xs:element name="zipcode" type="xs:string"/>
+    </xs:sequence>
+  </xs:complexType>
+
+  <xs:complexType name="contactBean">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="phone" type="xs:string"/>
+      <xs:element minOccurs="0" name="mobile" type="xs:string"/>
+      <xs:element minOccurs="0" name="mail" type="xs:string"/>
+      <xs:element minOccurs="0" name="isContactMail" type="xs:boolean"/>
+      <xs:element minOccurs="0" name="isContactSms" type="xs:boolean"/>
+      <xs:element minOccurs="0" name="isInvoicePdf" type="xs:boolean"/>
+    </xs:sequence>
+  </xs:complexType>
+
+  <xs:complexType name="professionBean">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="codeCSP" type="xs:string"/>
+      <xs:element minOccurs="0" name="profession" type="xs:string"/>
+      <xs:element minOccurs="0" name="employerName" type="xs:string"/>
+      <xs:element minOccurs="0" name="phone" type="xs:string"/>
+      <xs:element minOccurs="0" name="addressPro" type="tns:addressProfBean"/>
+    </xs:sequence>
+  </xs:complexType>
+
+  <xs:complexType name="addressProfBean">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="num" type="xs:int"/>
+      <xs:element minOccurs="0" name="street" type="xs:string"/>
+      <xs:element minOccurs="0" name="zipcode" type="xs:string"/>
+      <xs:element minOccurs="0" name="town" type="xs:string"/>
+    </xs:sequence>
+  </xs:complexType>
+
+  <xs:complexType name="cafInfoBean">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="number" type="xs:string"/>
+      <xs:element minOccurs="0" name="organ" type="xs:string"/>
+    </xs:sequence>
+  </xs:complexType>
+
+  <xs:complexType name="indicatorBean">
+    <xs:complexContent>
+      <xs:extension base="ns1:abstractSpecBean">
+        <xs:sequence>
+          <xs:element minOccurs="0" name="code" type="xs:string"/>
+          <xs:element minOccurs="0" name="label" type="xs:string"/>
+          <xs:element minOccurs="0" name="note" type="xs:string"/>
+          <xs:element minOccurs="0" name="choice" type="xs:string"/>
+        </xs:sequence>
+      </xs:extension>
+    </xs:complexContent>
+  </xs:complexType>
+
+  <xs:complexType name="activityTypeBean">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="code" type="xs:string"/>
+      <xs:element minOccurs="0" name="libelle" type="xs:string"/>
+      <xs:element minOccurs="0" name="natureSpec" type="tns:activityNatureBean"/>
+    </xs:sequence>
+  </xs:complexType>
+
+  <xs:complexType name="activityNatureBean">
+    <xs:complexContent>
+      <xs:extension base="ns1:abstractSpecBean">
+        <xs:sequence>
+          <xs:element minOccurs="0" name="code" type="xs:string"/>
+          <xs:element minOccurs="0" name="libelle" type="xs:string"/>
+        </xs:sequence>
+      </xs:extension>
+    </xs:complexContent>
+  </xs:complexType>
+
+  <xs:complexType name="familyQuotientBean">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="year" type="xs:int"/>
+      <xs:element minOccurs="0" name="yearRev" type="xs:int"/>
+      <xs:element minOccurs="0" name="dateStart" type="xs:dateTime"/>
+      <xs:element minOccurs="0" name="dateEnd" type="xs:dateTime"/>
+      <xs:element minOccurs="0" name="mtt" type="xs:double"/>
+      <xs:element minOccurs="0" name="cdquo" type="xs:string"/>
+    </xs:sequence>
+  </xs:complexType>
+
+  <xs:complexType name="childInfoBean">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="num" type="xs:string"/>
+      <xs:element name="lastname" type="xs:string"/>
+      <xs:element name="firstname" type="xs:string"/>
+      <xs:element name="sexe" type="xs:string"/>
+      <xs:element name="birth" type="ns1:birthInfoChildBean"/>
+      <xs:element minOccurs="0" name="dietcode" type="xs:string"/>
+      <xs:element minOccurs="0" name="bPhoto" type="xs:boolean"/>
+      <xs:element minOccurs="0" name="bLeaveAlone" type="xs:boolean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="authorizedPersonList" nillable="true" type="tns:relatedPersonBean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="indicatorList" nillable="true" type="tns:indicatorBean"/>
+      <xs:element minOccurs="0" name="medicalRecord" type="tns:medicalRecordBean"/>
+      <xs:element minOccurs="0" name="insurance" type="ns2:insuranceBean"/>
+      <xs:element minOccurs="0" name="paiInfoBean" type="ns1:paiInfoBean"/>
+      <xs:element minOccurs="0" name="mother" type="tns:personBean"/>
+      <xs:element minOccurs="0" name="father" type="tns:personBean"/>
+      <xs:element minOccurs="0" name="rl" type="tns:personBean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="subscribeSchoolList" nillable="true" type="tns:subscribeSchoolBean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="subscribeActivityList" nillable="true" type="ns1:subscribeActivityBean"/>
+    </xs:sequence>
+  </xs:complexType>
+
+  <xs:complexType name="relatedPersonBean">
+    <xs:complexContent>
+      <xs:extension base="ns1:abstractSpecBean">
+        <xs:sequence>
+          <xs:element minOccurs="0" name="personInfo" type="tns:personInfoBean"/>
+          <xs:element minOccurs="0" name="personQuality" type="tns:personQualityBean"/>
+        </xs:sequence>
+      </xs:extension>
+    </xs:complexContent>
+  </xs:complexType>
+
+  <xs:complexType name="personInfoBean">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="num" type="xs:int"/>
+      <xs:element minOccurs="0" name="lastname" type="xs:string"/>
+      <xs:element minOccurs="0" name="firstname" type="xs:string"/>
+      <xs:element minOccurs="0" name="dateBirth" type="xs:dateTime"/>
+      <xs:element minOccurs="0" name="civility" type="xs:string"/>
+      <xs:element minOccurs="0" name="sexe" type="xs:string"/>
+      <xs:element minOccurs="0" name="contact" type="tns:contactLightBean"/>
+    </xs:sequence>
+  </xs:complexType>
+
+  <xs:complexType name="contactLightBean">
+    <xs:complexContent>
+      <xs:extension base="ns1:abstractSpecBean">
+        <xs:sequence>
+          <xs:element minOccurs="0" name="phone" type="xs:string"/>
+          <xs:element minOccurs="0" name="mobile" type="xs:string"/>
+          <xs:element minOccurs="0" name="mail" type="xs:string"/>
+        </xs:sequence>
+      </xs:extension>
+    </xs:complexContent>
+  </xs:complexType>
+
+  <xs:complexType name="personQualityBean">
+    <xs:sequence>
+      <xs:element name="code" type="xs:string"/>
+      <xs:element minOccurs="0" name="libelle" type="xs:string"/>
+    </xs:sequence>
+  </xs:complexType>
+
+  <xs:complexType name="medicalRecordBean">
+    <xs:complexContent>
+      <xs:extension base="ns1:abstractSpecBean">
+        <xs:sequence>
+          <xs:element minOccurs="0" name="familyDoctor" type="tns:familyDoctorBean"/>
+          <xs:element minOccurs="0" name="allergy1" type="xs:string"/>
+          <xs:element minOccurs="0" name="allergy2" type="xs:string"/>
+          <xs:element minOccurs="0" name="comment1" type="xs:string"/>
+          <xs:element minOccurs="0" name="comment2" type="xs:string"/>
+          <xs:element minOccurs="0" name="observ1" type="xs:string"/>
+          <xs:element minOccurs="0" name="observ2" type="xs:string"/>
+          <xs:element minOccurs="0" name="isAuthHospital" type="xs:boolean"/>
+          <xs:element minOccurs="0" name="hospital" type="xs:string"/>
+          <xs:element maxOccurs="unbounded" minOccurs="0" name="vaccinList" nillable="true" type="tns:vaccinBean"/>
+        </xs:sequence>
+      </xs:extension>
+    </xs:complexContent>
+  </xs:complexType>
+
+  <xs:complexType name="familyDoctorBean">
+    <xs:complexContent>
+      <xs:extension base="ns1:abstractSpecBean">
+        <xs:sequence>
+          <xs:element minOccurs="0" name="name" type="xs:string"/>
+          <xs:element minOccurs="0" name="phone" type="xs:string"/>
+          <xs:element minOccurs="0" name="address" type="tns:doctorAddressBean"/>
+        </xs:sequence>
+      </xs:extension>
+    </xs:complexContent>
+  </xs:complexType>
+
+  <xs:complexType name="doctorAddressBean">
+    <xs:complexContent>
+      <xs:extension base="ns1:abstractSpecBean">
+        <xs:sequence>
+          <xs:element minOccurs="0" name="street1" type="xs:string"/>
+          <xs:element minOccurs="0" name="zipcode" type="xs:string"/>
+          <xs:element minOccurs="0" name="town" type="xs:string"/>
+        </xs:sequence>
+      </xs:extension>
+    </xs:complexContent>
+  </xs:complexType>
+
+  <xs:complexType name="vaccinBean">
+    <xs:complexContent>
+      <xs:extension base="ns1:abstractSpecBean">
+        <xs:sequence>
+          <xs:element name="code" type="xs:string"/>
+          <xs:element minOccurs="0" name="label" type="xs:string"/>
+          <xs:element name="vaccinationDate" type="xs:dateTime"/>
+        </xs:sequence>
+      </xs:extension>
+    </xs:complexContent>
+  </xs:complexType>
+
+  <xs:complexType name="personBean">
+    <xs:sequence>
+      <xs:element name="num" type="xs:int"/>
+      <xs:element minOccurs="0" name="civility" type="xs:string"/>
+      <xs:element minOccurs="0" name="firstname" type="xs:string"/>
+      <xs:element minOccurs="0" name="lastname" type="xs:string"/>
+    </xs:sequence>
+  </xs:complexType>
+
+  <xs:complexType name="subscribeSchoolBean">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="year" type="xs:int"/>
+      <xs:element minOccurs="0" name="idSchool" type="xs:string"/>
+      <xs:element minOccurs="0" name="schoolName" type="xs:string"/>
+      <xs:element minOccurs="0" name="levelBean" type="tns:levelBean"/>
+      <xs:element minOccurs="0" name="phone" type="xs:string"/>
+      <xs:element minOccurs="0" name="adress" type="xs:string"/>
+      <xs:element minOccurs="0" name="headmaster" type="xs:string"/>
+      <xs:element minOccurs="0" name="dateIns" type="xs:dateTime"/>
+      <xs:element minOccurs="0" name="dateRadiation" type="xs:dateTime"/>
+      <xs:element minOccurs="0" name="preSubscribeDate" type="xs:dateTime"/>
+      <xs:element minOccurs="0" name="isWaitList" type="xs:boolean"/>
+      <xs:element minOccurs="0" name="codeWait" type="xs:string"/>
+      <xs:element minOccurs="0" name="libWait" type="xs:string"/>
+    </xs:sequence>
+  </xs:complexType>
+
+  <xs:complexType name="levelBean">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="code" type="xs:string"/>
+      <xs:element minOccurs="0" name="label" type="xs:string"/>
+    </xs:sequence>
+  </xs:complexType>
+
+  <xs:complexType name="emergencyPersonBean">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="numPerson" type="xs:int"/>
+      <xs:element minOccurs="0" name="civility" type="xs:string"/>
+      <xs:element minOccurs="0" name="firstname" type="xs:string"/>
+      <xs:element minOccurs="0" name="lastname" type="xs:string"/>
+      <xs:element minOccurs="0" name="dateBirth" type="xs:dateTime"/>
+      <xs:element minOccurs="0" name="sexe" type="xs:string"/>
+      <xs:element minOccurs="0" name="quality" type="xs:string"/>
+      <xs:element minOccurs="0" name="contact" type="tns:contactEmergencyBean"/>
+    </xs:sequence>
+  </xs:complexType>
+
+  <xs:complexType name="contactEmergencyBean">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="phone" type="xs:string"/>
+      <xs:element minOccurs="0" name="mobile" type="xs:string"/>
+      <xs:element minOccurs="0" name="mail" type="xs:string"/>
+    </xs:sequence>
+  </xs:complexType>
+
+  <xs:complexType name="indicatorValueBean">
+    <xs:complexContent>
+      <xs:extension base="ns1:abstractSpecResultBean">
+        <xs:sequence>
+          <xs:element minOccurs="0" name="code" type="xs:string"/>
+          <xs:element minOccurs="0" name="label" type="xs:string"/>
+          <xs:element minOccurs="0" name="choice" type="tns:indicatorChoiceBean"/>
+        </xs:sequence>
+      </xs:extension>
+    </xs:complexContent>
+  </xs:complexType>
+
+  <xs:complexType name="indicatorChoiceBean">
+    <xs:complexContent>
+      <xs:extension base="ns1:abstractSpecBean">
+        <xs:sequence>
+          <xs:element minOccurs="0" name="code" type="xs:string"/>
+          <xs:element minOccurs="0" name="label" type="xs:string"/>
+        </xs:sequence>
+      </xs:extension>
+    </xs:complexContent>
+  </xs:complexType>
+
+  <xs:complexType name="emergencyPersonListBean">
+    <xs:complexContent>
+      <xs:extension base="ns1:abstractSpecRequestBean">
+        <xs:sequence>
+          <xs:element maxOccurs="unbounded" minOccurs="0" name="personList" nillable="true" type="tns:familyPersonBean"/>
+        </xs:sequence>
+      </xs:extension>
+    </xs:complexContent>
+  </xs:complexType>
+
+  <xs:complexType name="familyPersonBean">
+    <xs:complexContent>
+      <xs:extension base="ns1:abstractSpecBean">
+        <xs:sequence>
+          <xs:element minOccurs="0" name="numPerson" type="xs:int"/>
+          <xs:element minOccurs="0" name="civility" type="xs:string"/>
+          <xs:element name="firstname" type="xs:string"/>
+          <xs:element name="lastname" type="xs:string"/>
+          <xs:element name="dateBirth" type="xs:dateTime"/>
+          <xs:element minOccurs="0" name="sexe" type="xs:string"/>
+          <xs:element name="quality" type="xs:string"/>
+          <xs:element minOccurs="0" name="contact" type="tns:contactLightBean"/>
+        </xs:sequence>
+      </xs:extension>
+    </xs:complexContent>
+  </xs:complexType>
+
+  <xs:complexType name="updateChildMedicalRecordRequestBean">
+    <xs:complexContent>
+      <xs:extension base="ns1:abstractSpecRequestBean">
+        <xs:sequence>
+          <xs:element name="numPerson" type="xs:int"/>
+          <xs:element name="medicalRecord" type="tns:medicalRecordBean"/>
+        </xs:sequence>
+      </xs:extension>
+    </xs:complexContent>
+  </xs:complexType>
+
+  <xs:complexType name="addSuppliedDocumentRequestBean">
+    <xs:sequence>
+      <xs:element name="numDossier" type="xs:int"/>
+      <xs:element minOccurs="0" name="numPerson" type="xs:int"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="documentList" nillable="true" type="tns:suppliedDocumentBean"/>
+    </xs:sequence>
+  </xs:complexType>
+
+  <xs:complexType name="suppliedDocumentBean">
+    <xs:sequence>
+      <xs:element name="code" type="xs:string"/>
+      <xs:element minOccurs="0" name="depositDate" type="xs:dateTime"/>
+      <xs:element name="filename" type="xs:string"/>
+      <xs:element name="fileSupplied" type="ns1:fileHandler"/>
+    </xs:sequence>
+  </xs:complexType>
+
+  <xs:complexType name="indicatorValueAddUpdBean">
+    <xs:complexContent>
+      <xs:extension base="ns1:abstractSpecRequestBean">
+        <xs:sequence>
+          <xs:element name="code" type="xs:string"/>
+          <xs:element minOccurs="0" name="note" type="xs:string"/>
+          <xs:element minOccurs="0" name="choice" type="xs:string"/>
+          <xs:element name="isActive" type="xs:boolean"/>
+        </xs:sequence>
+      </xs:extension>
+    </xs:complexContent>
+  </xs:complexType>
+
+  <xs:complexType name="childBean">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="num" type="xs:string"/>
+      <xs:element name="firstname" type="xs:string"/>
+      <xs:element name="lastname" type="xs:string"/>
+      <xs:element name="sexe" type="xs:string"/>
+      <xs:element name="birth" type="ns1:birthInfoChildBean"/>
+      <xs:element minOccurs="0" name="bPhoto" type="xs:boolean"/>
+      <xs:element minOccurs="0" name="bLeaveAlone" type="xs:boolean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="authorizedPersonList" nillable="true" type="tns:relatedPersonBean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="indicatorList" nillable="true" type="tns:indicatorValueAddUpdBean"/>
+      <xs:element minOccurs="0" name="dietcode" type="xs:string"/>
+      <xs:element minOccurs="0" name="medicalRecord" type="tns:medicalRecordBean"/>
+      <xs:element minOccurs="0" name="insurance" type="ns2:insuranceBean"/>
+      <xs:element minOccurs="0" name="paiInfoBean" type="ns1:paiInfoBean"/>
+    </xs:sequence>
+  </xs:complexType>
+
+  <xs:complexType name="resultFamilyBean">
+    <xs:sequence>
+      <xs:element name="number" type="xs:int"/>
+      <xs:element minOccurs="0" name="password" type="xs:string"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="rl1ErrorList" nillable="true" type="xs:string"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="childErrorList" nillable="true" type="xs:string"/>
+    </xs:sequence>
+  </xs:complexType>
+
+  <xs:complexType name="indicatorReadBean">
+    <xs:complexContent>
+      <xs:extension base="ns1:abstractSpecResultBean">
+        <xs:sequence>
+          <xs:element minOccurs="0" name="code" type="xs:string"/>
+          <xs:element minOccurs="0" name="label" type="xs:string"/>
+          <xs:element minOccurs="0" name="typeDesc" type="ns1:indicatorTypeDescEnum"/>
+          <xs:element maxOccurs="unbounded" minOccurs="0" name="choiceList" nillable="true" type="ns2:itemBean"/>
+        </xs:sequence>
+      </xs:extension>
+    </xs:complexContent>
+  </xs:complexType>
+
+  <xs:complexType name="getFamilySubscribeSchoolInfoRequestBean">
+    <xs:sequence>
+      <xs:element name="numDossier" type="xs:int"/>
+      <xs:element name="numPerson" type="xs:int"/>
+      <xs:element name="schoolYear" type="xs:int"/>
+      <xs:element name="level" type="tns:levelBean"/>
+    </xs:sequence>
+  </xs:complexType>
+
+  <xs:complexType name="getFamilySubscribeSchoolInfoResultBean">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="rl1Info" type="tns:person2Bean"/>
+      <xs:element minOccurs="0" name="childSubscribeSchoolInformation" type="tns:getChildSubscribeSchoolInformationResultBean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="personSubscribeSchoolList" nillable="true" type="tns:personSubscribeSchoolBean"/>
+    </xs:sequence>
+  </xs:complexType>
+
+  <xs:complexType name="person2Bean">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="num" type="xs:int"/>
+      <xs:element minOccurs="0" name="civility" type="xs:string"/>
+      <xs:element name="lastname" type="xs:string"/>
+      <xs:element name="firstname" type="xs:string"/>
+      <xs:element name="dateBirth" type="xs:dateTime"/>
+      <xs:element minOccurs="0" name="sexe" type="xs:string"/>
+      <xs:element minOccurs="0" name="mail" type="xs:string"/>
+      <xs:element minOccurs="0" name="address" type="tns:addressBean"/>
+    </xs:sequence>
+  </xs:complexType>
+
+  <xs:complexType name="getChildSubscribeSchoolInformationResultBean">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="person" type="tns:person2Bean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="subscribeSchoolYearList" nillable="true" type="ns3:subscribeSchoolYearBean"/>
       <xs:element minOccurs="0" name="subscribeSchoolInformation" type="tns:subscribeSchoolInformationBean"/>
     </xs:sequence>
   </xs:complexType>
 
   <xs:complexType name="subscribeSchool2Bean">
     <xs:sequence>
       <xs:element minOccurs="0" name="idSubscribe" type="xs:string"/>
       <xs:element minOccurs="0" name="schoolYear" type="xs:int"/>
